%define upstream_name    Dist-Zilla-Plugin-PodPurler
%define upstream_version 0.094

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Like PodWeaver, but more erratic and amateurish
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox) >= 0.80.0
BuildRequires: perl(Pod::Elemental) >= 0.92.930
BuildRequires: perl(Pod::Elemental::PerlMunger)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Gatherer)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
PodPurler ress, which rips apart your kinda-POD and reconstructs it as
boring old real POD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.94.0-3.mga10
+ Revision: 2207254
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.94.0-2.mga9
+ Revision: 1814635
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 0.94.0-1.mga9
+ Revision: 1731847
- update to 0.094

* Wed Feb 12 2020 umeabot <umeabot> 0.93.401-8.mga8
+ Revision: 1494381
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.93.401-7.mga7
+ Revision: 1267551
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.93.401-6.mga6
+ Revision: 1026512
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.93.401-5.mga6
+ Revision: 946146
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.93.401-4.mga5
+ Revision: 739328
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.93.401-2.mga4
+ Revision: 537092
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.93.401-1.mga4
+ Revision: 486300
- update to 0.093401

* Sun Jan 13 2013 umeabot <umeabot> 0.93.400-3.mga3
+ Revision: 366343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.93.400-2.mga1
+ Revision: 40522
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PodPurler

